Platform Management API
POST /services/platforms/v1/projects/get Auth

Get Project

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
project object
project.id integer
project.title string|null
project.created_at string|null
project.domain_demo string
project.dynamic_demo string
project.domain_live string
project.domain_name string
project.data_token string|null
project.timezone string
project.language mixed
project.owner_id integer|null
project.is_theme integer
project.domain_type string
project.wemasy_domain string|null
project.wemasy_domain_without_extension mixed
project.can_use_custom_domain boolean
project.full_domain_name string
project.dns_verified boolean
project.dns_records_added_at string|null
project.modules mixed[] Tools enabled (uses unified ToolAccessControlService - checks subscriptions + legacy meta + master key) For theme versions, use root project for subscriptions/tools (provided by middleware)
project.styles object
project.theme_versions object|null
project.theme_preview_token string|null
project.is_framework_website boolean
project.settings object
project.providers string[]
logo_image string Website settings
favicon_image string
email_to string
disable_cookie string
custom_css string
header_code string
footer_code string
ga_code string
gt_code string
gsv_code string
gtm_code string
livechatinc_code string
crisp_code string
wms_livechat_code string
hotjar_code string
posthog string
clickcease string
facebook_code string
facebook_pixel_code string
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/projects/get" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/platforms/v1/projects/get', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json'  }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/platforms/v1/projects/get');
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/projects/get", headers=headers)
print(r.json())
Response Example
{
    "project": {
        "id": 0,
        "title": "string",
        "created_at": "string",
        "domain_demo": "string",
        "dynamic_demo": "string",
        "domain_live": "string",
        "domain_name": "string",
        "data_token": "string",
        "timezone": "string",
        "language": "string",
        "owner_id": 0,
        "is_theme": 0,
        "domain_type": "string",
        "wemasy_domain": "string",
        "wemasy_domain_without_extension": "string",
        "can_use_custom_domain": true,
        "full_domain_name": "string",
        "dns_verified": true,
        "dns_records_added_at": "string",
        "modules": [],
        "styles": {
            "custom_css": "string",
            "fontfaces": "string",
            "fonts": {
                "font_default": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "font_primary": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "font_secondary": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                }
            },
            "textsizes": {
                "textsm": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "textbase": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "text5xl": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "text4xl": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "text3xl": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "text2xl": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "textxl": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "textlg": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                }
            },
            "headingsizes": {
                "h1": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "h2": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "h3": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "h4": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "h5": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "h6": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                }
            },
            "button": {
                "button_border_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_border_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_border_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_border_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_border_radius": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_border_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_shadow": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_border_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_border_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_border_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_border_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_border_radius": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_border_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_primary_shadow": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_border_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_border_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_border_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_border_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_border_radius": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_border_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "button_secondary_shadow": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                }
            },
            "accordion": {
                "accordion_border_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_border_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_border_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_border_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_content_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_content_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_content_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_content_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_border_radius": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_header_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_content_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_header_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_header_icon_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_content_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_border_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_shadow": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_border_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_border_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_border_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_border_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_content_padding_bottom": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_content_padding_right": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_content_padding_top": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_content_padding_left": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_border_radius": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_header_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_content_bg_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_header_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_header_icon_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_content_text_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_border_color": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "accordion_primary_shadow": {
                    "key": "string",
                    "label": "string",
                    "value": "string"
                }
            },
            "colors": {
                "color_primary_100": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_primary_300": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_primary_500": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_primary_700": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_primary_900": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_secondary_100": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_secondary_300": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_secondary_500": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_secondary_700": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_secondary_900": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_contrast_100": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_contrast_300": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_contrast_500": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_contrast_700": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_contrast_900": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_gray_100": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_gray_300": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_gray_500": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_gray_700": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_gray_900": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_text_white": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_default_text": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_text_light": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                },
                "color_text_dark": {
                    "group": "string",
                    "key": "string",
                    "label": "string",
                    "value": "string"
                }
            },
            "color_preset": {
                "key": "string",
                "overrides": "string"
            }
        },
        "theme_versions": {
            "selected_version": "string",
            "selected_version_token": "string",
            "available_versions": []
        },
        "theme_preview_token": "string",
        "is_framework_website": true,
        "settings": {
            "logo_image": "string",
            "favicon_image": "string",
            "disable_cookie": "string",
            "email_to": "string"
        },
        "providers": []
    },
    "logo_image": "string",
    "favicon_image": "string",
    "email_to": "string",
    "disable_cookie": "string",
    "custom_css": "string",
    "header_code": "string",
    "footer_code": "string",
    "ga_code": "string",
    "gt_code": "string",
    "gsv_code": "string",
    "gtm_code": "string",
    "livechatinc_code": "string",
    "crisp_code": "string",
    "wms_livechat_code": "string",
    "hotjar_code": "string",
    "posthog": "string",
    "clickcease": "string",
    "facebook_code": "string",
    "facebook_pixel_code": "string"
}

Try It

Export